<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorBackground"
    android:clickable="true"
    android:focusable="true"
    tools:context=".screen.play.PlayFragment">

    <View
        android:id="@+id/view2"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/app_background" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/top_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.019151846" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/center_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.5" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/left_center_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.39" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/right_center_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.61" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/bottom_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_end="73dp" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/left_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.10" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/right_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.90" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/middle_guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.30" />


    <!--Table-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/conBetting"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toStartOf="@+id/right_guideline"
        app:layout_constraintStart_toStartOf="@+id/left_guideline"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/linOne"
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/betPair"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/color_blue_600"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="គូ"
                    android:textColor="@color/color_white"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintHorizontal_bias="0.0"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintVertical_bias="0.0" />

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="2dp"
                    android:text="1.95"
                    android:textColor="@color/color_white"
                    android:textSize="11sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/betOdd"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/color_light_blue"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="សេស"
                    android:textColor="@color/color_white"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="2dp"
                    android:text="1.95"
                    android:textColor="@color/color_white"
                    android:textSize="11sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/betBlue"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/color_blue_800"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="ខៀវ"
                    android:textColor="@color/color_white"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="2dp"
                    android:text="1.95"
                    android:textColor="@color/color_white"
                    android:textSize="11sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/betRed"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/color_red_800"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="ក្រហម"
                    android:textColor="@color/color_white"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="2dp"
                    android:text="1.95"
                    android:textColor="@color/color_white"
                    android:textSize="11sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/lintwo"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/linOne">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/betOne"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bet_one" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/betOneTv"
                    android:layout_width="match_parent"
                    android:layout_height="28dp"
                    android:layout_weight="1"
                    android:background="@color/color_blue_800"
                    android:gravity="center"
                    android:text="ជូត 10.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/betTwo"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bet_two" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/betTwoTv"
                    android:layout_width="match_parent"
                    android:layout_height="28dp"
                    android:layout_weight="1"
                    android:background="@color/color_blue_800"
                    android:gravity="center"
                    android:text="ឆ្លូវ 10.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/betThree"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bet_three" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/betThreeTv"
                    android:layout_width="match_parent"
                    android:layout_height="28dp"
                    android:layout_weight="1"
                    android:background="@color/color_blue_800"
                    android:gravity="center"
                    android:text="ខាល 10.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/betSeven"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bet_seven" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/betSevenTv"
                    android:layout_width="match_parent"
                    android:layout_height="28dp"
                    android:layout_weight="1"
                    android:background="@color/color_blue_800"
                    android:gravity="center"
                    android:text="មមី 10.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/betEight"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bet_eight" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/betEightTv"
                    android:layout_width="match_parent"
                    android:layout_height="28dp"
                    android:layout_weight="1"
                    android:background="@color/color_blue_800"
                    android:gravity="center"
                    android:text="មមែ 10.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/betNine"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bet_nine" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/betNineTv"
                    android:layout_width="match_parent"
                    android:layout_height="28dp"
                    android:layout_weight="1"
                    android:background="@color/color_blue_800"
                    android:gravity="center"
                    android:text="វក 10.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/linThree"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/lintwo">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/betFour"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bet_four" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/betFourTv"
                    android:layout_width="match_parent"
                    android:layout_height="28dp"
                    android:layout_weight="1"
                    android:background="@color/color_red_800"
                    android:gravity="center"
                    android:text="ថោះ 10.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/betFive"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bet_five" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/betFiveTv"
                    android:layout_width="match_parent"
                    android:layout_height="28dp"
                    android:layout_weight="1"
                    android:background="@color/color_red_800"
                    android:gravity="center"
                    android:text="រោង 10.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/betSix"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bet_six" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/betSixTv"
                    android:layout_width="match_parent"
                    android:layout_height="28dp"
                    android:layout_weight="1"
                    android:background="@color/color_red_800"
                    android:gravity="center"
                    android:text="ម្សាញ់ 10.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/betTen"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bet_ten" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/betTenTv"
                    android:layout_width="match_parent"
                    android:layout_height="28dp"
                    android:layout_weight="1"
                    android:background="@color/color_red_800"
                    android:gravity="center"
                    android:text="រកា 10.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/betEleven"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bet_eleven" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/betElevenTv"
                    android:layout_width="match_parent"
                    android:layout_height="28dp"
                    android:layout_weight="1"
                    android:background="@color/color_red_800"
                    android:gravity="center"
                    android:text="ច 10.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/betTwelve"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bet_twelve" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/betTwelveTv"
                    android:layout_width="match_parent"
                    android:layout_height="28dp"
                    android:layout_weight="1"
                    android:background="@color/color_red_800"
                    android:gravity="center"
                    android:text="កុរ 10.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp" />
            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/linFour"
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/linThree">

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/betThin"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/color_yellow_800"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:gravity="center"
                android:text="ស្តើង 1.95"
                android:textColor="@color/color_white" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/betThick"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/color_green_800"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:gravity="center"
                android:text="ក្រាស់ 1.95"
                android:textColor="@color/color_white" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/linFive"
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/linFour">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/bet123"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/color_blue_800"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="1-2-3"
                    android:textColor="@color/color_white"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="2dp"
                    android:text="3.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/bet456"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/color_red_800"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="4-5-6"
                    android:textColor="@color/color_white"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintHorizontal_bias="0.0"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintVertical_bias="0.0" />

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="2dp"
                    android:text="3.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/bet789"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/color_blue_800"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="7-8-9"
                    android:textColor="@color/color_white"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="2dp"
                    android:text="3.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/bet101112"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@color/color_red_800"
                android:clickable="true"
                android:focusable="true"
                android:foreground="?android:attr/selectableItemBackgroundBorderless"
                android:orientation="vertical">

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="10-11-12"
                    android:textColor="@color/color_white"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="2dp"
                    android:text="3.5"
                    android:textColor="@color/color_white"
                    android:textSize="11sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.constraintlayout.widget.ConstraintLayout>

    <!--    Input Field-->
    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/input_field"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintStart_toStartOf="@+id/conBetting"
        app:layout_constraintTop_toBottomOf="@+id/conBetting">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="2"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/tv_game_label"
                android:layout_width="wrap_content"
                android:layout_height="24dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="8dp"
                android:layout_marginEnd="8dp"
                android:adjustViewBounds="true"
                android:src="@drawable/text_bet" />

            <TextView
                android:id="@+id/tv_game_number_big_small"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="8dp"
                android:gravity="start"
                android:includeFontPadding="false"
                android:paddingTop="8dp"
                android:paddingBottom="5dp"
                android:textColor="@color/color_white"
                android:textSize="14sp"
                android:textStyle="bold"
                tools:text="Big" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="2"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/tv_amount_label"
                android:layout_width="wrap_content"
                android:layout_height="24dp"
                android:layout_marginStart="8dp"
                android:adjustViewBounds="true"
                android:src="@drawable/text_bet_amount" />

            <TextView
                android:id="@+id/tv_amount_play"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:gravity="start"
                android:includeFontPadding="false"
                android:paddingStart="2dp"
                android:paddingEnd="2dp"
                android:paddingBottom="3dp"
                android:textColor="@color/color_white"
                android:textSize="14sp"
                android:textStyle="bold"
                app:autoSizeTextType="uniform"
                app:layout_constraintVertical_chainStyle="packed"
                tools:text="0000" />
        </LinearLayout>

        <ImageView
            android:id="@+id/tv_clear"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_marginEnd="8dp"
            android:adjustViewBounds="true"
            android:src="@drawable/ic_clear" />

    </androidx.appcompat.widget.LinearLayoutCompat>


    <View
        android:id="@+id/v_line"
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginTop="4dp"
        android:background="@color/color_white"
        app:layout_constraintEnd_toEndOf="@id/input_field"
        app:layout_constraintStart_toStartOf="@+id/input_field"
        app:layout_constraintTop_toBottomOf="@+id/input_field" />
    <!--    btn row1-->
    <com.khmer9.sbcmain.view.CircleView
        android:id="@+id/v_1k"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="8dp"
        app:currencyImage="@drawable/text_dollar"
        app:currencyValue="1"
        app:layout_constraintBottom_toTopOf="@+id/v_20k"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toStartOf="@+id/v_2k"
        app:layout_constraintStart_toStartOf="@id/v_line"
        app:layout_constraintTop_toBottomOf="@id/v_line" />

    <com.khmer9.sbcmain.view.CircleView
        android:id="@+id/v_2k"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="16dp"
        app:currencyImage="@drawable/text_dollar"
        app:currencyValue="2"
        app:layout_constraintBottom_toBottomOf="@+id/v_1k"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toStartOf="@+id/v_5k"
        app:layout_constraintStart_toEndOf="@id/v_1k"
        app:layout_constraintTop_toTopOf="@id/v_1k" />

    <com.khmer9.sbcmain.view.CircleView
        android:id="@+id/v_5k"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="16dp"
        app:currencyImage="@drawable/text_dollar"
        app:currencyValue="5"
        app:layout_constraintBottom_toBottomOf="@+id/v_2k"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toStartOf="@+id/v_10k"
        app:layout_constraintStart_toEndOf="@id/v_2k"
        app:layout_constraintTop_toTopOf="@id/v_2k" />

    <com.khmer9.sbcmain.view.CircleView
        android:id="@+id/v_10k"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="16dp"
        app:currencyImage="@drawable/text_dollar"
        app:currencyValue="10"
        app:layout_constraintBottom_toBottomOf="@+id/v_5k"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@id/v_line"
        app:layout_constraintStart_toEndOf="@id/v_5k"
        app:layout_constraintTop_toTopOf="@id/v_5k" />

    <!--    btn row2-->
    <com.khmer9.sbcmain.view.CircleView
        android:id="@+id/v_20k"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="16dp"
        app:currencyImage="@drawable/text_dollar"
        app:currencyValue="20"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toStartOf="@+id/v_50k"
        app:layout_constraintStart_toStartOf="@id/v_1k"
        app:layout_constraintTop_toBottomOf="@id/v_1k" />

    <com.khmer9.sbcmain.view.CircleView
        android:id="@+id/v_50k"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="16dp"
        app:currencyImage="@drawable/text_dollar"
        app:currencyValue="50"
        app:layout_constraintBottom_toBottomOf="@+id/v_20k"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toStartOf="@+id/v_100k"
        app:layout_constraintStart_toEndOf="@id/v_20k"
        app:layout_constraintTop_toTopOf="@id/v_20k" />

    <com.khmer9.sbcmain.view.CircleView
        android:id="@+id/v_100k"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="16dp"
        app:currencyImage="@drawable/text_dollar"
        app:currencyValue="100"
        app:layout_constraintBottom_toBottomOf="@+id/v_50k"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toStartOf="@+id/v_200k"
        app:layout_constraintStart_toEndOf="@id/v_50k"
        app:layout_constraintTop_toTopOf="@id/v_50k" />

    <com.khmer9.sbcmain.view.CircleView
        android:id="@+id/v_200k"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="16dp"
        app:currencyImage="@drawable/text_dollar"
        app:currencyValue="200"
        app:layout_constraintBottom_toBottomOf="@+id/v_100k"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="@id/v_line"
        app:layout_constraintStart_toEndOf="@id/v_100k"
        app:layout_constraintTop_toTopOf="@id/v_100k" />

    <!--    Bottom Button-->
    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/btn_close"
        android:layout_width="100dp"
        android:layout_height="48dp"
        android:adjustViewBounds="true"
        android:background="@color/color_red_800"
        android:scaleType="fitXY"
        android:text="@string/cancel"
        android:textColor="@color/color_white"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/left_center_guideline"
        app:layout_constraintStart_toStartOf="@+id/left_guideline"
        app:layout_constraintTop_toTopOf="@+id/bottom_guideline" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/btn_ok"
        android:layout_width="100dp"
        android:layout_height="48dp"
        android:background="@color/color_green_800"
        android:text="@string/bet"
        android:textColor="@color/color_white"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/right_guideline"
        app:layout_constraintStart_toStartOf="@+id/right_center_guideline"
        app:layout_constraintTop_toTopOf="@+id/bottom_guideline" />


</androidx.constraintlayout.widget.ConstraintLayout>